Subject: SQLite database creation for binary tarball is non-deterministic
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Thu, 16 Jul 2015 10:29:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When running ‘make guix-binary.x86_64-linux.tar.xz’ twice (and of course
‘guix gc -d /gnu/store/*-guix-tarball.tar.xz’ in the meantime), one can
see that the ‘db.sqlite’ files in the tarballs have the same size but
differ by a few bytes.

It’s not clear whether this is an issue inherent to SQLite3 or rather
something due to the way we create the database.

(<https://trac.torproject.org/projects/tor/ticket/11630> might give some
ideas.)

Ludo’.